> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validates a payment batch

> Validates a payment batch.



## OpenAPI

````yaml /autogenerated/openapi/payment-batch.openapi.json get /payment-batches/{paymentBatchId}/validate
openapi: 3.1.0
info:
  title: Payment Batch API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /payment-batches/{paymentBatchId}/validate:
    get:
      tags:
        - Payment Batches
      summary: Validates a payment batch
      description: Validates a payment batch.
      operationId: validatePaymentBatch
      parameters:
        - name: paymentBatchId
          in: path
          required: true
          schema:
            type:
              - string
            maxLength: 36
            format: uuid
            description: The unique ID of the Payment Batch.
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  isValid:
                    type:
                      - boolean
                  paymentBatchStatus:
                    type:
                      - object
                    properties:
                      isValid:
                        type:
                          - boolean
                      issues:
                        type:
                          - array
                          - 'null'
                        items:
                          type:
                            - object
                          properties:
                            code:
                              type:
                                - string
                            message:
                              type:
                                - string
                            data:
                              type:
                                - object
                              properties:
                                status:
                                  type:
                                    - string
                                  enum:
                                    - draft
                                    - validated
                                    - confirmed
                                    - started
                                    - completed
                                    - failed
                                    - cancelled
                                  description: The status of the Payment Batch.
                              required:
                                - status
                          required:
                            - code
                            - message
                            - data
                    required:
                      - isValid
                      - issues
                  ordersBalances:
                    type:
                      - object
                      - 'null'
                    properties:
                      isValid:
                        type:
                          - boolean
                      issues:
                        type:
                          - array
                          - 'null'
                        items:
                          type:
                            - object
                          properties:
                            code:
                              type:
                                - string
                            message:
                              type:
                                - string
                            data:
                              type:
                                - object
                              properties:
                                orderId:
                                  type:
                                    - string
                                  maxLength: 36
                                  description: The unique ID of the Order.
                                budgetId:
                                  type:
                                    - string
                                  format: uuid
                                  maxLength: 36
                                  description: The ID of the budget to work with.
                                  example: 775596ae-2624-40af-a9dc-9756110a4a03
                                currencyCode:
                                  type:
                                    - string
                                  enum:
                                    - AED
                                    - AFN
                                    - ALL
                                    - AMD
                                    - ANG
                                    - AOA
                                    - ARS
                                    - AUD
                                    - AWG
                                    - AZN
                                    - BAM
                                    - BBD
                                    - BDT
                                    - BGN
                                    - BHD
                                    - BIF
                                    - BMD
                                    - BND
                                    - BOB
                                    - BOV
                                    - BRL
                                    - BSD
                                    - BTN
                                    - BWP
                                    - BYN
                                    - BZD
                                    - CAD
                                    - CDF
                                    - CHF
                                    - CLP
                                    - CNY
                                    - COP
                                    - CRC
                                    - CUC
                                    - CUP
                                    - CVE
                                    - CZK
                                    - DJF
                                    - DKK
                                    - DOP
                                    - DZD
                                    - EGP
                                    - ERN
                                    - ETB
                                    - EUR
                                    - FJD
                                    - FKP
                                    - GBP
                                    - GEL
                                    - GGP
                                    - GHS
                                    - GIP
                                    - GMD
                                    - GNF
                                    - GTQ
                                    - GYD
                                    - HKD
                                    - HNL
                                    - HRK
                                    - HTG
                                    - HUF
                                    - IDR
                                    - ILS
                                    - INR
                                    - IQD
                                    - IRR
                                    - ISK
                                    - JMD
                                    - JOD
                                    - JPY
                                    - KES
                                    - KGS
                                    - KHR
                                    - KMF
                                    - KPW
                                    - KRW
                                    - KWD
                                    - KYD
                                    - KZT
                                    - LAK
                                    - LBP
                                    - LKR
                                    - LRD
                                    - LSL
                                    - LTL
                                    - LVL
                                    - LYD
                                    - MAD
                                    - MDL
                                    - MGA
                                    - MKD
                                    - MMK
                                    - MNT
                                    - MOP
                                    - MUR
                                    - MVR
                                    - MWK
                                    - MXN
                                    - MYR
                                    - MZN
                                    - NAD
                                    - NGN
                                    - NIO
                                    - NOK
                                    - NPR
                                    - NZD
                                    - OMR
                                    - PAB
                                    - PEN
                                    - PGK
                                    - PHP
                                    - PKR
                                    - PLN
                                    - PYG
                                    - QAR
                                    - RON
                                    - RSD
                                    - RUB
                                    - RWF
                                    - SAR
                                    - SBD
                                    - SCR
                                    - SEK
                                    - SGD
                                    - SHN
                                    - SLL
                                    - SOS
                                    - SRD
                                    - SSP
                                    - STN
                                    - SYP
                                    - SZL
                                    - THB
                                    - TJS
                                    - TMT
                                    - TND
                                    - TOP
                                    - TRY
                                    - TTD
                                    - TWD
                                    - TZS
                                    - UAH
                                    - UGX
                                    - USD
                                    - UYU
                                    - UZS
                                    - VND
                                    - VUV
                                    - WST
                                    - XAF
                                    - XAG
                                    - XAU
                                    - XCD
                                    - XOF
                                    - XPD
                                    - XPF
                                    - XPT
                                    - YER
                                    - ZAR
                                    - ZMK
                                    - ZMW
                                    - ZWD
                                  example: USD
                                availableBalance:
                                  type:
                                    - string
                              required:
                                - orderId
                                - budgetId
                          required:
                            - code
                            - message
                    required:
                      - isValid
                      - issues
                required:
                  - isValid
                  - paymentBatchStatus
                  - ordersBalances
                example:
                  isValid: true
                  paymentBatchStatus:
                    isValid: true
                    issues:
                      - code: string
                        message: string
                        data:
                          status: draft
                  ordersBalances:
                    isValid: true
                    issues:
                      - code: string
                        message: string
                        data:
                          orderId: string
                          budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                          currencyCode: USD
                          availableBalance: string
      security:
        - CommonAuth:
            - payment-batches:read:any
            - payment-batches:read:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/validate?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````